## Package org.apache.cocoon.processor

Interface Summary
Processor: Every DOM processor must extend this interface to be recognized by Cocoon as a DOM processor.

Class Summary
LinkEncodingProcessor: This class implements a LinkEncodingProcessor which encodes all URLs found in attributes specified by a Predicate.
ProcessorFactory: This class implements the processing router by identifying the processor associated to the produced document.

Exception Summary
PINotFoundException: This exception it thrown by a DOM processor to signal something went wrong during processing.
ProcessorException: This exception it thrown by a DOM processor to signal something went wrong during processing.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.